/* Styling for the profile insights page. */
article.your-insights {
    padding: 20px 0;

    >.title {
        >.message {
            background: url('/images/feedback-bkg.png') no-repeat right center;
            color: #202020;
            display: inline-block;
            float: right;
            font-weight: 300;
            margin: 6px 0 0;
            padding: 0 80px 0 0;
            text-align: right;
            width: 500px;   

            a {
                font-weight: 600;
            }
        }
        >.instructions {
            clear: left;
            float: left !important;
            height: auto !important;
            margin-top: 4px !important;
            text-align: left !important;
            width: 400px;
        }
    }

    @include dropdown-menu();

    #say-what {
        background: #fff6df;
        border: 1px solid gold;
        border-radius: 4px;
        display: inline-block;
        float: right;
        font-size: 13px;
        font-weight: 300;
        padding: 4px 20px;

        strong {
            font-weight: 600;
        }
    }

    #custom-list {
        display: inline-block;
        margin-right: 21px;
        float: right;

        >.tab {
            background: #f3f3f3;
            border: 1px solid #d9d9d9;
            border-radius: 4px 4px 0 0;
            color: #606060;
            cursor: pointer;
            display: inline-block;
            padding: 4px 18px 4px;
            position: relative;
            top: 1px;
            z-index: 2;

            &:hover {
                background: white;
                border-bottom-color: white;
                color: #303030;
                padding: 4px 18px 4px;
                text-decoration: none;
            }
        }
    }

    #tab-list {
        margin: 0 0 0 21px;
        display: inline-block;

        >.tab {
            background: #f3f3f3;
            border: 1px solid #d9d9d9;
            border-radius: 4px 4px 0 0;
            color: #606060;
            cursor: pointer;
            display: inline-block;
            padding: 4px 18px 4px;
            position: relative;
            top: 1px;
            z-index: 2;

            &.active {
                color: #303030;
                background: white;
                border-bottom-color: white;
                border-left-width: 1px;
                padding: 4px 18px 4px;
            }
            &:hover {
                background: white;
                border-bottom-color: white;
                color: #303030;
                padding: 4px 18px 4px;
                text-decoration: none;
            }

            &:nth-child(2) {
                left: -1px;
            }
            &:nth-child(3) {
                left: -2px;
            }
            &:nth-child(4) {
                left: -3px;
            }
        }

        &:hover {
            >.tab {
                &.active {
                    border-bottom-color: #d0d0d0;
                }
                &:hover {
                    border-bottom-color: white;
                }
            }
        }
    }

    h2 {
        color: #303030;
        font-weight: 400;
        margin: 26px 0 16px;
        padding: 0;
        text-align: center;

        >span {
            @include number-font();
            color: #303030;
            font-size: 20px;
            font-weight: 300;
        }
    }
    h3 {
        color: #303030;
        font-size: 15px;
        font-weight: 400;
        line-height: 16px;
        margin: 0;
        padding: 0 0 4px;

        a {
            color: #303030;
            cursor: pointer;
        }
        span {
            margin: 0 0 0 4px;
            font-size: 14px;
            color: #909090;
        }
    }

    #aggregates {
        border: 1px solid #d9d9d9;
        box-shadow: 0 0 20px -5px rgba(0, 0, 0, 0.25);
        height: 110px;
        margin: 0 0 30px;
        padding: 20px 20px 20px;
        position: relative;

        .arc-explain {
            color: #909090;
            font-size: 15px;
        }
        #arc-value {
            @include number-font();

            >strong {
                color: #505050;
                display: inline-block;
                font-size: 60px;
                font-weight: 400;
                line-height: 56px;
                height: 60px;
            }
            >span {
                margin: 0 6px;
                min-width: 16px;
                display: inline-block;

                &.units {
                    color: #606060;
                    font-size: 26px;
                }
                &.percentage {
                    color: #909090;
                    font-weight: 300;
                    font-size: 22px;
                }
            }
        }
        #arc-label {
            font-size: 15px;
            color: #909090;

            em {
                color: #505050;
                font-style: normal;
                font-weight: 600;
                font-size: 16px;
                margin: 0 5px;
                white-space: nowrap;

                &:nth-child(1) {
                    color: $blue;
                }
                &:nth-child(2) {
                    color: $green;
                }
                &:nth-child(3) {
                    color: $orange;
                }
            }
        }

        >.bottom-arrow {
            border-left: 20px solid rgba(255, 255, 255, 0);
            border-right: 20px solid rgba(255, 255, 255, 0);
            border-top: 20px solid #d9d9d9;
            bottom: -40px;
            height: 20px;
            left: 180px;
            position: absolute;
            width: 0px;

            >.mask {
                border-left: 18px solid rgba(255, 255, 255, 0);
                border-right: 18px solid rgba(255, 255, 255, 0);
                border-top: 18px solid white;
                height: 20px;
                left: -18px;
                position: absolute;
                top: -20px;
                width: 0;
            }
        }
        >.right-arrow {
            border-bottom: 16px solid rgba(255, 255, 255, 0);
            border-left: 16px solid #e9e9e9;
            border-top: 16px solid rgba(255, 255, 255, 0);
            height: 0; 
            left: 399px;
            position: absolute;
            top: 58px;
            width: 16px;

            >.mask {
                border-bottom: 14px solid rgba(255, 255, 255, 0);
                border-left: 14px solid white;
                border-top: 14px solid rgba(255, 255, 255, 0);
                height: 0;
                left: -16px;
                position: absolute;
                top: -14px;
                width: 16px;
            }
        }

        >.by-blue,
        >.by-green,
        >.by-orange {
            float: left;
            text-align: center;
            width: 359px;
            padding-right: 20px;
            border-right: 1px solid #e0e0e0;
            height: 110px;
        }
        >.by-green {
            strong {
                color: #505050;

                span {
                    color: #909090;
                }
            }
            p {
                color: #a9a9a9;
            }
            em {
                color: #505050;
            }
        }
        >.by-orange {
            strong, p {
                color: $orange;
            }
        }

        >.by-details {
            float: left;
            margin: 4px 0 0 40px;
            width: 380px;

            >.title {
                font-size: 14px;
                font-weight: 600;
                color: #303030;
                padding: 0 0 6px 6px;
                margin: 0 0 10px;
                border-bottom: 1px solid #e0e0e0;
            }

            >a {
                clear: left;
                color: #202020;
                display: inline-block;
                float: left;
                font-size: 14px;
                font-weight: 300;
                margin: 1px 0 1px 6px;
                max-width: 360px;
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;

                &.more {
                    color: $blue;
                }
            }
        }
    }
    #friends {
        @include number-font();
        background: #f4f4f4 url('/images/friends-background.png') no-repeat 138px 39px;
        border: 1px solid #e0e0e0;
        border-radius: 4px;
        float: right;
        margin: 4px 0 0 0;
        padding: 12px 15px;
        text-align: left;
        width: 186px;

        >p {
            color: #606060;
            cursor: default;
            margin: 0 0 10px;
            text-align: center;
        }
        >a {
            background: #34b2cd;
            border: 1px solid shade(#34b2cd, 10%);
            border-radius: 4px;
            color: white;
            display: inline-block;
            font-size: 13px;
            line-height: 18px;
            padding: 4px 10px;

            &:hover {
                background: black;
                text-decoration: none;
                border-color: black;
            }
        }
        >.dropdown {
            >.primary {
                width: 94px;
                padding: 3px 7px 3px 10px;
                background: #ffffff;
                border-color: #d9d9d9;
            }
            >.options {
                top: 28px;
            }
            &:hover {
                >.primary {
                    background: $blue;
                    border-color: $blue;
                }
            }
        }
    }
    #drilldown {
        border-right: 1px solid #e9e9e9;
        float: left;
        width: 360px;
        padding: 0 20px;
        text-align: center;

        >h2 {
            font-weight: 300;
            margin: 26px 0 0;
            padding: 0;
            font-size: 20px;
        }
        >.caption {
            color: #494949;
            font-weight: 300;
            margin: 6px 0 0;
            font-size: 14px;

            >.blue {
                color: $blue;
                font-weight: 400;
            }
            >.green {
                color: $green;
                font-weight: 400;
            }
            >.orange {
                color: $orange;
                font-weight: 400;
            }
        }
        >.explain {
            font-size: 14px;
            font-weight: 300;
            margin: 10px 20px; 
            text-align: left;
        }
        label {
            color: #494949;
            display: inline-block;
            font-size: 14px;
            font-weight: 300;
        } 
        .toggle-display {
            margin: 2px 6px 0 0;
            float: left;
        }
        >.chart {
            height: 380px;
            width: 360px;
        }

        text.total {
            font-weight: bold;
        }
        text.total-label {
            fill: #707070;
            font-size: 13px;
        }
        .arc {
            cursor: pointer;

            path {
                stroke: white;
                stroke-width: 1;
                shape-rendering: geometricPrecision;
            }
            text {
                cursor: pointer;
                fill: white;
                font-size: 14px;

                tspan {
                    font-size: 12px;
                }
            }

            &.insignificant {
                display: none;
            }
            &.active {
                display: block;

                >path {
                    fill: #303030 !important;
                }
            }
            &:hover {
                >path {
                    fill: #101010 !important;
                }
            }

            &.depth-1, &.depth-2 {
                display: none;
            }

            &.depth-0:hover {
                >.depth-1 {
                    display: block;

                    &.depth-1:hover {
                        >.depth-2 {
                            display: block;
                        }
                    }
                }
            }
        }
        &.show {
            .arc {
                display: block !important;
            }
        }
    }
    #by-green,
    #by-blue,
    #by-orange {
        border-left: 1px solid #e9e9e9;
        border-right: 1px solid #e9e9e9;
        float: left;
        left: -1px;
        margin: 0 0 10px;
        overflow: visible;
        padding: 0;
        position: relative;
        width: 230px;

        >.combined {
            padding-left: 30px;

            .arc {
                path {
                    stroke: white;
                    stroke-width: 1;
                    shape-rendering: geometricPrecision;
                }
                text {
                    cursor: default;
                    fill: white;
                    font-size: 14px;

                    tspan {
                        font-size: 12px;
                    }
                }

                &:hover {
                    path {
                        fill: black !important;
                    }
                }
            }
        }
        .stat {
            margin: 20px 0 30px;
            position: relative;

            >.chart {
                float: left;
                height: 52px;
                margin: 5px 6px 0 0;
                width: 52px;
                position: relative;

                >.title {
                    @include number-font();
                    font-size: 20px;
                    position: absolute;
                    text-align: center;
                    top: 13px;
                    width: 52px;

                    span {
                        color: #808080;
                        font-size: 12px;
                    }
                }
            }
            a {
                color: #606060;
                font-size: 13px;
                font-weight: 300;

                &:hover {
                    color: $blue;
                }
            }
            strong {
                @include number-font();
                color: shade(#029bbd, 10%);
                font-size: 20px;
                font-weight: 400;
                line-height: 18px;
                margin: 0 4px 0 0;
            }
        }

        .dropdown {
            margin: 0 0 0 10px;

            >.primary {
                font-size: 14px;
                height: 20px;
                line-height: 21px;
                padding: 2px 11px;

                em {
                    float: none;
                    margin-left: 0;
                }
            }
            >.options {
                top: 25px;
                left: auto;
                right: 0;
            }

            &.green {
                &:hover {
                    >.primary {
                        background: $green;
                        border-color: $green;
                    }
                    >.options {
                        background: $green;

                        >a:hover {
                            background: shade($green, 25%);
                        }
                        >.sub-dropdown:hover {
                            >.primary {
                                background: shade($green, 25%);
                            }
                            >.options {
                                background: shade($green, 25%);
                                a:hover {
                                    background: shade($green, 50%);
                                }
                            }
                        }
                    }
                }
            }
            &.orange {
                &:hover {
                    >.primary {
                        background: $orange;
                        border-color: $orange;
                    }
                    >.options {
                        background: $orange;

                        >a:hover {
                            background: shade($orange, 25%);
                        }
                        >.sub-dropdown:hover {
                            >.primary {
                                background: shade($orange, 25%);
                            }
                            >.options {
                                background: shade($orange, 25%);
                                a:hover {
                                    background: shade($orange, 50%);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    #by-green {
        left: -2px;

        .stat {
            strong {
                color: shade(#708f05, 10%);
            }
            a:hover {
                color: $green;
            }
        }
    }
    #by-orange {
        left: -3px;
        border-right: 0;

        .stat {
            strong {
                color: shade(#ff8c00, 10%);
            }
            a:hover {
                color: $orange;
            }
        }
    }

    #invitation-modal {
        .modal-dialog {
            width: 400px;
        }

        .modal-header {
            background-image: url('/images/friends-background.png');
            background-position: 10px center;
            background-repeat: no-repeat;
            padding-left: 80px;
        }

        p {
            color: #303030;
        }
        li {
            color: #606060;
        }

        input {
            border: 1px solid #d0d0d0;
            border-radius: 4px;
            font-size: 14px;
            padding: 7px 10px;
            width: 274px;
        }
        .primary {
            height: 32px;
            margin-left: 12px;
            margin-right: 0;
        }
    }


    #premium-modal {
        >.modal-dialog {
            width: 400px;
        }

        .clear {
            clear: both;
        }

        .modal-footer {
            button {
                float: right;
                margin-right: 10px;
            }
            .primary {
                float: right;
                background: $blue;
                border: 1px solid #d0d0d0;
                border-color: darken($blue, 5%);
                border-radius: 4px;
                color: white;
                font-size: 14px;
                padding: 5px 10px;
                text-decoration: none;
                white-space: nowrap;
                display: inline-block;

                &:hover {
                    background: black;
                    border-color: black;
                    color: white;
                }
            }
        }
    }

    #message {
        overflow: hidden;
        padding: 0 0 20px;

        >.inner {
            background: #f0f0f0;
            border: 1px solid #e0e0e0;
            border-radius: 4px;
            height: 42px;
            padding: 0 60px 0 20px;
            position: relative;
        }

        p {
            color: #606060;
            height: 20px;
            margin: 12px 0;
        }
        a.dismiss {
            border-radius: 3px;
            cursor: pointer;
            display: block;
            font-size: 16px;
            font-weight: bold;
            height: 24px;
            line-height: 24px;    
            position: absolute;
            right: 15px;
            text-align: center;
            text-decoration: none;
            top: 10px;
            width: 24px;

            &:hover {
                background: $blue;
                color: white;
            }
        }
    }
}
